org.eclipse.oomph.targlets.util

## Class TargletSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.oomph.targlets.util.TargletSwitch<T>

-     public class TargletSwitch<T>
      extends Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `TargletPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static TargletPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargletSwitch()` Creates an instance of the switch.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseBuckminsterGenerator(BuckminsterGenerator object)` Returns the result of interpreting the object as an instance of 'Buckminster Generator'.
    `T` | `caseComponentDefinition(ComponentDefinition object)` Returns the result of interpreting the object as an instance of 'Component Definition'.
    `T` | `caseComponentExtension(ComponentExtension object)` Returns the result of interpreting the object as an instance of 'Component Extension'.
    `T` | `caseComponentGenerator(ComponentGenerator object)` Returns the result of interpreting the object as an instance of 'Component Generator'.
    `T` | `caseFeatureGenerator(FeatureGenerator object)` Returns the result of interpreting the object as an instance of 'Feature Generator'.
    `T` | `caseIUGenerator(IUGenerator object)` Returns the result of interpreting the object as an instance of 'IU Generator'.
    `T` | `caseModelElement(ModelElement object)` Returns the result of interpreting the object as an instance of 'Model Element'.
    `T` | `casePluginGenerator(PluginGenerator object)` Returns the result of interpreting the object as an instance of 'Plugin Generator'.
    `T` | `caseTarglet(Targlet object)` Returns the result of interpreting the object as an instance of 'Targlet'.
    `T` | `caseTargletContainer(TargletContainer object)` Returns the result of interpreting the object as an instance of 'Container'.
    `T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor(EPackage ePackage)` Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static TargletPackage modelPackage

      The cached model package
      Generated

  - ### Constructor Detail

    - #### TargletSwitch

          public TargletSwitch()

      Creates an instance of the switch.
      Generated

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor(EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `Switch<T>`
      Returns:
        whether this is a switch for the given package.
      Generated

    - #### doSwitch

          protected T doSwitch(int classifierID,
                   EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.
      Generated

    - #### caseTargletContainer

          public T caseTargletContainer(TargletContainer object)

      Returns the result of interpreting the object as an instance of 'Container'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Container'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseTarglet

          public T caseTarglet(Targlet object)

      Returns the result of interpreting the object as an instance of 'Targlet'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Targlet'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseComponentExtension

          public T caseComponentExtension(ComponentExtension object)

      Returns the result of interpreting the object as an instance of 'Component Extension'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Component Extension'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseComponentDefinition

          public T caseComponentDefinition(ComponentDefinition object)

      Returns the result of interpreting the object as an instance of 'Component Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Component Definition'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseIUGenerator

          public T caseIUGenerator(IUGenerator object)

      Returns the result of interpreting the object as an instance of 'IU Generator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'IU Generator'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseFeatureGenerator

          public T caseFeatureGenerator(FeatureGenerator object)

      Returns the result of interpreting the object as an instance of 'Feature Generator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Feature Generator'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### casePluginGenerator

          public T casePluginGenerator(PluginGenerator object)

      Returns the result of interpreting the object as an instance of 'Plugin Generator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Plugin Generator'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseComponentGenerator

          public T caseComponentGenerator(ComponentGenerator object)

      Returns the result of interpreting the object as an instance of 'Component Generator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Component Generator'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseBuckminsterGenerator

          public T caseBuckminsterGenerator(BuckminsterGenerator object)

      Returns the result of interpreting the object as an instance of 'Buckminster Generator'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Buckminster Generator'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### caseModelElement

          public T caseModelElement(ModelElement object)

      Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model Element'.
      See Also:
        `doSwitch(EObject)`
      Generated

    - #### defaultCase

          public T defaultCase(EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html